StopNotebookRun
Stops a running notebook run in Amazon SageMaker Unified Studio.
Request Syntax
PUT /v2/domains/domainIdentifier/notebook-runs/identifier/stop HTTP/1.1
Content-type: application/json
{
"clientToken": "string"
}
URI Request Parameters
The request uses the following URI parameters.
- domainIdentifier
-
The identifier of the Amazon SageMaker Unified Studio domain in which the notebook run is stopped.
Pattern:
dzd[-_][a-zA-Z0-9_-]{1,36}Required: Yes
- identifier
-
The identifier of the notebook run to stop.
Pattern:
[a-zA-Z0-9_-]{1,36}Required: Yes
Request Body
The request accepts the following data in JSON format.
- clientToken
-
A unique, case-sensitive identifier to ensure idempotency of the request. This field is automatically populated if not provided.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 128.
Pattern:
[\x21-\x7E]+Required: No
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"domainId": "string",
"id": "string",
"owningProjectId": "string",
"status": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- domainId
-
The identifier of the Amazon SageMaker Unified Studio domain.
Type: String
Pattern:
dzd[-_][a-zA-Z0-9_-]{1,36} - id
-
The identifier of the notebook run.
Type: String
Pattern:
[a-zA-Z0-9_-]{1,36} - owningProjectId
-
The identifier of the project that owns the notebook run.
Type: String
Pattern:
[a-zA-Z0-9_-]{1,36} - status
-
The status of the notebook run.
Type: String
Valid Values:
QUEUED | STARTING | RUNNING | STOPPING | STOPPED | SUCCEEDED | FAILED
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
You do not have sufficient access to perform this action.
HTTP Status Code: 403
- ConflictException
-
There is a conflict while performing this action.
HTTP Status Code: 409
- InternalServerException
-
The request has failed because of an unknown error, exception or failure.
HTTP Status Code: 500
- ResourceNotFoundException
-
The specified resource cannot be found.
HTTP Status Code: 404
- ThrottlingException
-
The request was denied due to request throttling.
HTTP Status Code: 429
- UnauthorizedException
-
You do not have permission to perform this action.
HTTP Status Code: 401
- ValidationException
-
The input fails to satisfy the constraints specified by the AWS service.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: